org.eclipse.incquery.patternlanguage.validation

## Class IssueCodes

- java.lang.Object
- - org.eclipse.incquery.patternlanguage.validation.IssueCodes

-     public final class IssueCodes
      extends java.lang.Object

  Author:
    Mark Czotter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ANONYM_VARIABLE_MULTIPLE_REFERENCE`
    `static java.lang.String` | `CHECK_MUST_BE_BOOLEAN`
    `static java.lang.String` | `CHECK_WITH_IMPURE_JAVA_CALLS`
    `static java.lang.String` | `CONSTANT_COMPARE_CONSTRAINT`
    `static java.lang.String` | `DUBIUS_VARIABLE_NAME`
    `static java.lang.String` | `DUPLICATE_PATTERN_DEFINITION`
    `static java.lang.String` | `DUPLICATE_PATTERN_PARAMETER_NAME`
    `static java.lang.String` | `LOCAL_VARIABLE_NO_POSITIVE_REFERENCE`
    `static java.lang.String` | `LOCAL_VARIABLE_QUANTIFIED_REFERENCE`
    `static java.lang.String` | `LOCAL_VARIABLE_READONLY`
    `static java.lang.String` | `LOCAL_VARIABLE_REFERENCED_ONCE`
    `static java.lang.String` | `LOWERCASE_PATTERN_NAME`
    `static java.lang.String` | `MISSING_PATTERN_PARAMETERS`
    `static java.lang.String` | `MISSING_REQUIRED_ANNOTATION_PARAMETER`
    `static java.lang.String` | `MISTYPED_ANNOTATION_PARAMETER`
    `static java.lang.String` | `PACKAGE_NAME_EMPTY`
    `static java.lang.String` | `PACKAGE_NAME_MISMATCH`
    `static java.lang.String` | `PATTERN_BODY_EMPTY`
    `static java.lang.String` | `PRIVATE_PATTERN_CALLED`
    `static java.lang.String` | `RECURSIVE_PATTERN_CALL`
    `static java.lang.String` | `SELF_COMPARE_CONSTRAINT`
    `static java.lang.String` | `SYMBOLIC_VARIABLE_NEVER_REFERENCED`
    `static java.lang.String` | `SYMBOLIC_VARIABLE_NO_POSITIVE_REFERENCE`
    `static java.lang.String` | `TRANSITIVE_PATTERNCALL_ARITY`
    `static java.lang.String` | `TRANSITIVE_PATTERNCALL_NOT_APPLICABLE`
    `static java.lang.String` | `TRANSITIVE_PATTERNCALL_TYPE`
    `static java.lang.String` | `UNKNOWN_ANNOTATION`
    `static java.lang.String` | `UNKNOWN_ANNOTATION_PARAMETER`
    `static java.lang.String` | `UNUSED_PRIVATE_PATTERN`
    `static java.lang.String` | `WRONG_NUMBER_PATTERNCALL_PARAMETER`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DUPLICATE_PATTERN_PARAMETER_NAME

          public static final java.lang.String DUPLICATE_PATTERN_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### DUPLICATE_PATTERN_DEFINITION

          public static final java.lang.String DUPLICATE_PATTERN_DEFINITION

      See Also:
        Constant Field Values

    - #### WRONG_NUMBER_PATTERNCALL_PARAMETER

          public static final java.lang.String WRONG_NUMBER_PATTERNCALL_PARAMETER

      See Also:
        Constant Field Values

    - #### TRANSITIVE_PATTERNCALL_NOT_APPLICABLE

          public static final java.lang.String TRANSITIVE_PATTERNCALL_NOT_APPLICABLE

      See Also:
        Constant Field Values

    - #### TRANSITIVE_PATTERNCALL_ARITY

          public static final java.lang.String TRANSITIVE_PATTERNCALL_ARITY

      See Also:
        Constant Field Values

    - #### TRANSITIVE_PATTERNCALL_TYPE

          public static final java.lang.String TRANSITIVE_PATTERNCALL_TYPE

      See Also:
        Constant Field Values

    - #### PATTERN_BODY_EMPTY

          public static final java.lang.String PATTERN_BODY_EMPTY

      See Also:
        Constant Field Values

    - #### PRIVATE_PATTERN_CALLED

          public static final java.lang.String PRIVATE_PATTERN_CALLED

      See Also:
        Constant Field Values

    - #### UNKNOWN_ANNOTATION

          public static final java.lang.String UNKNOWN_ANNOTATION

      See Also:
        Constant Field Values

    - #### UNKNOWN_ANNOTATION_PARAMETER

          public static final java.lang.String UNKNOWN_ANNOTATION_PARAMETER

      See Also:
        Constant Field Values

    - #### MISSING_REQUIRED_ANNOTATION_PARAMETER

          public static final java.lang.String MISSING_REQUIRED_ANNOTATION_PARAMETER

      See Also:
        Constant Field Values

    - #### MISTYPED_ANNOTATION_PARAMETER

          public static final java.lang.String MISTYPED_ANNOTATION_PARAMETER

      See Also:
        Constant Field Values

    - #### CONSTANT_COMPARE_CONSTRAINT

          public static final java.lang.String CONSTANT_COMPARE_CONSTRAINT

      See Also:
        Constant Field Values

    - #### SELF_COMPARE_CONSTRAINT

          public static final java.lang.String SELF_COMPARE_CONSTRAINT

      See Also:
        Constant Field Values

    - #### PACKAGE_NAME_MISMATCH

          public static final java.lang.String PACKAGE_NAME_MISMATCH

      See Also:
        Constant Field Values

    - #### PACKAGE_NAME_EMPTY

          public static final java.lang.String PACKAGE_NAME_EMPTY

      See Also:
        Constant Field Values

    - #### LOWERCASE_PATTERN_NAME

          public static final java.lang.String LOWERCASE_PATTERN_NAME

      See Also:
        Constant Field Values

    - #### UNUSED_PRIVATE_PATTERN

          public static final java.lang.String UNUSED_PRIVATE_PATTERN

      See Also:
        Constant Field Values

    - #### MISSING_PATTERN_PARAMETERS

          public static final java.lang.String MISSING_PATTERN_PARAMETERS

      See Also:
        Constant Field Values

    - #### CHECK_MUST_BE_BOOLEAN

          public static final java.lang.String CHECK_MUST_BE_BOOLEAN

      See Also:
        Constant Field Values

    - #### CHECK_WITH_IMPURE_JAVA_CALLS

          public static final java.lang.String CHECK_WITH_IMPURE_JAVA_CALLS

      See Also:
        Constant Field Values

    - #### SYMBOLIC_VARIABLE_NEVER_REFERENCED

          public static final java.lang.String SYMBOLIC_VARIABLE_NEVER_REFERENCED

      See Also:
        Constant Field Values

    - #### SYMBOLIC_VARIABLE_NO_POSITIVE_REFERENCE

          public static final java.lang.String SYMBOLIC_VARIABLE_NO_POSITIVE_REFERENCE

      See Also:
        Constant Field Values

    - #### LOCAL_VARIABLE_REFERENCED_ONCE

          public static final java.lang.String LOCAL_VARIABLE_REFERENCED_ONCE

      See Also:
        Constant Field Values

    - #### LOCAL_VARIABLE_READONLY

          public static final java.lang.String LOCAL_VARIABLE_READONLY

      See Also:
        Constant Field Values

    - #### LOCAL_VARIABLE_QUANTIFIED_REFERENCE

          public static final java.lang.String LOCAL_VARIABLE_QUANTIFIED_REFERENCE

      See Also:
        Constant Field Values

    - #### LOCAL_VARIABLE_NO_POSITIVE_REFERENCE

          public static final java.lang.String LOCAL_VARIABLE_NO_POSITIVE_REFERENCE

      See Also:
        Constant Field Values

    - #### ANONYM_VARIABLE_MULTIPLE_REFERENCE

          public static final java.lang.String ANONYM_VARIABLE_MULTIPLE_REFERENCE

      See Also:
        Constant Field Values

    - #### DUBIUS_VARIABLE_NAME

          public static final java.lang.String DUBIUS_VARIABLE_NAME

      See Also:
        Constant Field Values

    - #### RECURSIVE_PATTERN_CALL

          public static final java.lang.String RECURSIVE_PATTERN_CALL

      See Also:
        Constant Field Values